package org.gcube.portlets.user.td.monitorwidget.client.background;

import org.gcube.portlets.user.td.monitorwidget.client.details.MonitorDetailPanel;
import org.gcube.portlets.user.td.widgetcommonevent.shared.TRId;

import com.google.web.bindery.event.shared.EventBus;
import com.sencha.gxt.widget.core.client.Window;

/**
 * Background Operations Monitor
 * 
 * @author "Giancarlo Panichi" <a
 *         href="mailto:g.panichi@isti.cnr.it">g.panichi@isti.cnr.it</a>
 * 
 */
public class MonitorBackgroundDialog extends Window {
	
	private static final String WIDTH = "640px";
	private static final String HEIGHT = "378px";
	private static final String PANELWIDTH = "620px";
	private static final String PANELHEIGHT = "308px";
	private static final String PROGRESSWIDTH = "618px";
	
	private EventBus eventBus;
	private String taskId;
	
	private TRId trId;
	
	
	
	
	private MonitorDetailPanel monitorDetailPanel;
	
	public MonitorBackgroundDialog(String taskId, EventBus eventBus) {
		this.eventBus = eventBus;
		this.taskId=taskId;
		trId = null;
		initWindow();
		create();
	

	}
	
	protected void initWindow(){
		setWidth(WIDTH);
		setHeight(HEIGHT);
		setBodyBorder(false);
		setResizable(true);
		setModal(true);
		setClosable(true);
		setHeadingText("Background Operations Monitor");
	}
	
	protected void create(){

	}
		
	/**
	 * {@inheritDoc}
	 */
	@Override
	protected void initTools() {
		/*if (backgroundBtnEnabled) {
			backgroundBtn = new ToolButton(ToolButton.CLOSE);
			backgroundBtn.setToolTip("Put in the background");
			backgroundBtn.addSelectHandler(new SelectHandler() {

				@Override
				public void onSelect(SelectEvent event) {
					hide();
				}
			});

			header.addTool(backgroundBtn);
		}*/
		
		super.initTools();
		
		closeBtn.setVisible(false);
		/*
		closeBtn.addSelectHandler(new SelectHandler() {

			public void onSelect(SelectEvent event) {
				close();
			}
		});*/

	}

	protected void close() {
		hide();

	}

	
}
